"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const config_1 = require("@schematics/angular/utility/config");
/**
 * Gets application by index or name based on angular cli configuration
 */
function getAppByIndexOrName(host, appIndexOrName) {
    const config = config_1.getConfig(host);
    const app = config_1.getAppFromConfig(config, appIndexOrName || '0');
    if (app === null) {
        throw new schematics_1.SchematicsException('Client app not found.');
    }
    return app;
}
exports.getAppByIndexOrName = getAppByIndexOrName;
/**
 * Gets default settings for angular cli project
 */
function getDefaults(host) {
    const config = config_1.getConfig(host);
    return (config && config.defaults) || { styleExt: 'css' };
}
exports.getDefaults = getDefaults;
//# sourceMappingURL=app.js.map